summaryrefslogtreecommitdiffstats
path: root/jjb/bottlenecks/bottlenecks-run-suite.sh
diff options
context:
space:
mode:
authorGabriel Yu <Gabriel.yuyang@huawei.com>2017-10-27 15:28:30 +0800
committerGabriel Yu <Gabriel.yuyang@huawei.com>2017-10-27 15:28:30 +0800
commit80090542b74e3140c0831386a8433cbb144c6ada (patch)
treefa335b8a569256ccf1285b1f3b2dffe5d0f78611 /jjb/bottlenecks/bottlenecks-run-suite.sh
parent70dd6da73b294c7d395354bc21aa1cd4be4bc966 (diff)
bug-fix: ssl error for euphrates
Change-Id: I0e7f9f502cd3844aacfdbc006a71a081b1c4fde4 Signed-off-by: Gabriel Yu <Gabriel.yuyang@huawei.com>
Diffstat (limited to 'jjb/bottlenecks/bottlenecks-run-suite.sh')
-rw-r--r--jjb/bottlenecks/bottlenecks-run-suite.sh14
1 files changed, 5 insertions, 9 deletions
diff --git a/jjb/bottlenecks/bottlenecks-run-suite.sh b/jjb/bottlenecks/bottlenecks-run-suite.sh
index cdcf0f05a..ebd905e98 100644
--- a/jjb/bottlenecks/bottlenecks-run-suite.sh
+++ b/jjb/bottlenecks/bottlenecks-run-suite.sh
@@ -32,16 +32,12 @@ if [[ $SUITE_NAME == *posca* ]]; then
# Preparing OpenStack RC and Cacert files
echo "BOTTLENECKS INFO: fetching os credentials from $INSTALLER_TYPE"
if [[ $INSTALLER_TYPE == 'compass' ]]; then
- if [[ ${BRANCH} == 'master' ]]; then
- ${RELENG_REPO}/utils/fetch_os_creds.sh -d ${OPENRC} -i ${INSTALLER_TYPE} -a ${INSTALLER_IP} -o ${OS_CACERT} >${redirect}
- if [[ -f ${OS_CACERT} ]]; then
- echo "BOTTLENECKS INFO: successfully fetching os_cacert for openstack: ${OS_CACERT}"
- else
- echo "BOTTLENECKS ERROR: couldn't find os_cacert file: ${OS_CACERT}, please check if the it's been properly provided."
- exit 1
- fi
+ ${RELENG_REPO}/utils/fetch_os_creds.sh -d ${OPENRC} -i ${INSTALLER_TYPE} -a ${INSTALLER_IP} -o ${OS_CACERT} >${redirect}
+ if [[ -f ${OS_CACERT} ]]; then
+ echo "BOTTLENECKS INFO: successfully fetching os_cacert for openstack: ${OS_CACERT}"
else
- ${RELENG_REPO}/utils/fetch_os_creds.sh -d ${OPENRC} -i ${INSTALLER_TYPE} -a ${INSTALLER_IP} >${redirect}
+ echo "BOTTLENECKS ERROR: couldn't find os_cacert file: ${OS_CACERT}, please check if the it's been properly provided."
+ exit 1
fi
fi